Subject: Re: linux-next: build warning after merge of the powerpc tree

From: Andrew Donnellan <[email-masked]>
Date: Wed, 19 Feb 2025 16:49:21 +1100

On Wed, 2025-02-19 at 15:46 +1100, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the powerpc tree, today's linux-next build (htmldocs)
> produced this warning:
> 
> WARNING: Documentation/ABI/testing/sysfs-class-cxl not found
> 
> Introduced by commit
> 
>   5731d41af924 ("cxl: Deprecate driver")
> 
> The reference is from Documentation/arch/powerpc/cxl.rst
> 
> I don't know why this has appeared just now.

I think this warning is added by ff7ff6eb4f809 ("docs: media: Allow
creating cross-references for RC ABI").

I can send a patch to fix the reference in cxl.rst.

-- 
Andrew Donnellan    OzLabs, ADL Canberra
[email-masked]   IBM Australia Limited